Bug 1419249 - gnome-session-f[1131]: segfault at 0 ip 00007f6d78422899 sp 00007ffc3a002240 error 4 in libgtk-3.so.0.2200.7[7f6d78144000+6f6000]
Summary: gnome-session-f[1131]: segfault at 0 ip 00007f6d78422899 sp 00007ffc3a002240 ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-04 09:28 UTC by Jeffrey Walton
Modified: 2017-12-12 10:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:30:18 UTC
Type: Bug


Attachments (Terms of Use)
DMESG from misbehaving system (61.00 KB, application/x-tar)
2017-02-04 09:28 UTC, Jeffrey Walton
no flags Details

Description Jeffrey Walton 2017-02-04 09:28:43 UTC
Created attachment 1247659 [details]
DMESG from misbehaving system

I'm working on a system with an AMD X4 845 processor (http://www.cpu-world.com/CPUs/Bulldozer/AMD-Athlon%20X4%20845.html) and a Gigabyte F2A68HM-H motherboard (Gigabyte F2A68HM-H). I use it for testing AMD's AEN-NI and RDRAND instructions.

I installed the system 2 weeks ago and I had HDMI output. After the updates the first week of February 2017 I no longer have HDMI output. The tail of DMESG reports:

...
[    6.054727] ip_set: protocol 6
[    6.125262] IPv6: ADDRCONF(NETDEV_UP): enp1s0: link is not ready
[    6.168923] r8169 0000:01:00.0 enp1s0: link down
[    6.168924] r8169 0000:01:00.0 enp1s0: link down
[    6.170159] IPv6: ADDRCONF(NETDEV_UP): enp1s0: link is not ready
[    6.536970] random: crng init done
[    9.220181] r8169 0000:01:00.0 enp1s0: link up
[    9.220206] IPv6: ADDRCONF(NETDEV_CHANGE): enp1s0: link becomes ready
[   14.643947] show_signal_msg: 198 callbacks suppressed
[   14.643950] gnome-session-f[1131]: segfault at 0 ip 00007f6d78422899 sp 00007ffc3a002240 error 4 in libgtk-3.so.0.2200.7[7f6d78144000+6f6000]

The desktop is somewhat unusual. Its setup as a desktop rather than a tablet. It has Gnome Tweak Tools installed, and the "Use Desktop" option is selected (I think that's what its called). It also has Open Terminal installed (which was unusable because it would crash Xserver).

I have SSH access to the machine.

Here's some system information:

$ lsb_release -a
LSB Version:    :core-4.1-amd64:core-4.1-noarch
Distributor ID: Fedora
Description:    Fedora release 25 (Twenty Five)
Release:        25
Codename:       TwentyFive

$ uname -a
Linux bulldozer 4.9.6-200.fc25.x86_64 #1 SMP Thu Jan 26 10:17:45 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

I don't see a way to automatically gather system information for a report (https://fedoraproject.org/wiki/How_to_file_a_bug_report#Gathering_Information), so I'm going to attach DMESG. Maybe Fedora could provide a tool like Ubuntu's apport-collect.

Comment 1 phil 2017-02-07 18:57:51 UTC
i am also getting the following on my system - unable to get a desktop and my vbox vms fail to start.

[   12.021710] gnome-session-f[2800]: segfault at 0 ip 00007feb69753899 sp 00007ffc207af060 error 4 in libgtk-3.so.0.2200.7[7feb69475000+6f6000]

please advise if i  can give any other info.

Comment 2 phil 2017-02-07 19:01:52 UTC
further info for comment 1
#rpm -qa|grep gnome-session
gnome-session-3.22.2-3.fc25.x86_64
gnome-session-xsession-3.22.2-3.fc25.x86_64
gnome-session-wayland-session-3.22.2-3.fc25.x86_64
#uname -a
Linux fedora.lan 4.9.7-201.fc25.x86_64 #1 SMP Thu Feb 2 23:32:42 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Comment 3 Kyle Conway 2017-02-10 04:00:45 UTC
Also having this issue (it seems others are as well https://bugs.archlinux.org/task/52764).

$ dmesg # from after a recent gnome crash to login screen

[343484.065954] snd_hda_codec_hdmi hdaudioC1D0: HDMI: invalid ELD data byte 3
[352463.330569] gnome-session-f[24507]: segfault at 0 ip 00007f299b0a1899 sp 00007ffee7d43e60 error 4 in libgtk-3.so.0.2200.7[7f299adc3000+6f6000]
[352463.591377] snd_hda_codec_hdmi hdaudioC1D0: HDMI: invalid ELD data byte 66
[352473.748823] snd_hda_codec_hdmi hdaudioC1D0: HDMI: invalid ELD data byte 0
[352473.845826] snd_hda_codec_hdmi hdaudioC1D0: HDMI: invalid ELD data byte 15
[353321.106738] snd_hda_codec_hdmi hdaudioC1D0: HDMI: invalid ELD data byte 0
[353321.362773] gnome-session-f[23388]: segfault at 0 ip 00007f4416b7f899 sp 00007ffe3d598960 error 4 in libgtk-3.so.0.2200.7[7f44168a1000+6f6000]
[353330.740169] snd_hda_codec_hdmi hdaudioC1D0: HDMI: invalid ELD data byte 0
[353330.838176] snd_hda_codec_hdmi hdaudioC1D0: HDMI: invalid ELD data byte 16

$ rpm -qa|grep gnome-session

gnome-session-wayland-session-3.22.2-3.fc25.x86_64
gnome-session-3.22.2-3.fc25.x86_64
gnome-session-xsession-3.22.2-3.fc25.x86_64

Other oddity: my keyboard layout (dvorak) switches back to qwerty when the crash/logout occurs.

Comment 4 Fedora End Of Life 2017-11-16 18:54:14 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:30:18 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.